Package org.apache.wiki.plugin

## Class Note

- java.lang.Object
- - org.apache.wiki.plugin.Note

All Implemented Interfaces:
  `Plugin`

    public class Note
    extends java.lang.Object
    implements Plugin

Outputs an image with the supplied text as the `title` which is shown as a tooltip by most browsers. This is intended for short one line comments.

See http://www.456bereastreet.com/archive/200412/the_alt_and_title_attributes/ for discussion on alt and title attributes.

Adaption of the CommentPlugin written by Scott Hulbert, cleaned up and generalized, but basically his concept.

Parameters :

- _cmdline - the commentText

### Field Summary

Fields
`static java.lang.String` `DEFAULT_NOTE_IMAGE` The default name for the note.
`static java.lang.String` `PROP_NOTE_IMAGE` Property name for setting the image for the note.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

### Constructor Summary

Constructors
`Note()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `execute​(Context context, java.util.Map<java.lang.String,​java.lang.String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROP_NOTE_IMAGE

    public static final java.lang.String PROP_NOTE_IMAGE

Property name for setting the image for the note. Value is `"notePlugin.imageName"`.

See Also:
  Constant Field Values

#### DEFAULT_NOTE_IMAGE

    public static final java.lang.String DEFAULT_NOTE_IMAGE

The default name for the note. Value is `"note.png"`.

See Also:
  Constant Field Values

### Constructor Detail

#### Note

    public Note()

### Method Detail

#### execute

    public java.lang.String execute​(Context context,
                                    java.util.Map<java.lang.String,​java.lang.String> params)
                             throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`